LINUXGAMES

32-bit X-Fi Driver

April 18th, 2008 by Crusader

Creative Labs has released a 32-bit Linux driver for their X-Fi series of sound cards:

This download is a beta driver providing Linux® 32-bit / 64-bit OS support for Creative Sound Blaster® X-Fi ™ series audio devices. For more details, read the rest of this web release note.

Take note of the following:

  • THIS IS AN UNSUPPORTED BETA DRIVER. There is no technical support for this driver.
  • This beta driver has only been tested on the following 32-bit / 64-bit Linux distributions: Ubuntu® 7.10, openSUSE® 10.3 and Red Hat® Enterprise Linux® 5.1 (64-bit only).
  • We recommend that only experienced users install this driver. Do not install this driver on a system used to perform critical tasks.
  • Your feedback is a valuable part of our development process. To submit feedback on this driver, visit the Sound Blaster X-Fi Linux Beta Driver Feedback Program.

This download is intended for the following audio devices only:

  • Creative Sound Blaster X-Fi Elite Pro
  • Creative Sound Blaster X-Fi Platinum
  • Creative Sound Blaster X-Fi Fatal1ty®
  • Creative Sound Blaster X-Fi XtremeGamer
  • Creative Sound Blaster X-Fi XtremeMusic

Current release features:

  • ALSA PCM Playback
  • ALSA Record
  • ALSA Mixer

Added Features or Enhancements:

  • Supports GCC version 4
  • Supports Linux 64-bit and 32-bit OS

Known issues:

  • S/PDIF passthrough is not supported in this driver release.
  • External I/O modules are not supported in this driver release.
  • Applications from the original Sound Blaster X-Fi Installation CD will not work with this driver.

Requirements:

  • Linux x86 / x86_64 OS
  • Creative Sound Blaster X-Fi audio devices listed above

Notes:

  • To install the driver, do the following:
    1. Download the XFiDrv_Linux_US-1.18.tar.gz package onto your local hard disk.
    2. Double-click the downloaded package to unpack its contents.
    3. Read the README file and follow the instructions.

Download: [ creativelabs.com ]

Leave a Reply

You must be logged in to post a comment.